using PDF_Office.Model.PDFTool;
using PDF_Office.Views.HomePanel.PDFTools;
using Prism.Commands;
using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.ViewModels.HomePanel
{
    public class HomeGuidContentViewModel:BindableBase
    {
        public DelegateCommand<ToolItem> QuickToolsCommand { get; set; }
        public HomeGuidContentViewModel()
        {
            QuickToolsCommand = new DelegateCommand<ToolItem>(QuickTools_Click);
        }

        public void QuickTools_Click(ToolItem toolItem)
        {
            switch (toolItem.Tag)
            {
                case PDFToolType.Split:
                    Split_Click();
                    break;

                case PDFToolType.Extract:
                    break;

                case PDFToolType.Insert:
                    break;

                case PDFToolType.Compress:
                    break;

                case PDFToolType.Merge:
                    break;

                case PDFToolType.Print:
                    break;

                case PDFToolType.Security:
                    break;
            }
        }

        private void Split_Click()
        {

        }

    }
}
